# Method: customers.crmBasedUserListQueries.validate

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries/validate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries/validate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries/validate#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries/validate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries/validate#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries/validate#body.ValidateCrmBasedUserListQueryResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries/validate#body.aspect)

Performs static validation checks on the provided CRM based user list query to ensure valid output schema.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{parent=customers/*}/crmBasedUserListQueries:validate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name that owns the query, e.g. 'customers/123'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "query": { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries#CrmBasedUserListQuery`) }, "includePerformanceInfo": boolean } ``` |

| Fields ||
|---|---|
| `query` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.crmBasedUserListQueries#CrmBasedUserListQuery`)`` Required. The query to validate. |
| `includePerformanceInfo` | `boolean` Optional. If true, call BigQuery to dry run the query to collect some performance info. It may take longer compared to only validating the query. The startDate, endDate and parameters inside query_execution_spec need to be set for the dry run. |

### Response body

Response to a crmBasedUserListQueries.validate request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "queryPerformanceInfo": { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/QueryPerformanceInfo`) } } ``` |

| Fields ||
|---|---|
| `queryPerformanceInfo` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/QueryPerformanceInfo`)`` Returned if includePerformanceInfo is true. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`